
Vendor:		MLO <http://www.mageialinux-online.org> 
Packager:	Adrien.D & david.david (MLO Team)
Name:		mppdec
Version:	r96
Release:	%mkrel 2
Group:		Sound/Editors and Converters
Summary:	The 1.15v decoder
License:	LGPLv2
URL:		http://www.musepack.net/
Source0:	http://users.zenwalk.org/user-accounts/gapan/musepack-tools/mpptools-r96.tar.bz2
Patch0:		no-asm.patch

BuildRequires:	yasm

%description
Musepack is an audio compression format with a strong emphasis on high
quality. It's not lossless, but it is designed for transparency, so that you
won't be able to hear differences between the original wave file and the much
smaller MPC file. It is based on the MPEG-1 Layer-2 / MP2 algorithms, but
since 1997 it has rapidly developed and vastly improved and is now at an
advanced stage in which it contains heavily optimized and patentless code.
This decoder is compatible with all StreamVersions from 4 to 7. You need it if
you want to apply ReplayGain on your files or just want to decode to record on
a CD.


%prep
%setup -q -n mpptools-r96
sed -i -e 's/-Os//' Makefile
sed -i -e 's/-march=i586//' Makefile
sed -i -e 's/-m\$(TUNE)=i686//' Makefile
sed -i -e 's/&> $(LOGFILE)//' Makefile
sed -i -e 's/nasm/yasm/' Makefile
%ifarch x86_64
%patch0 -p1 -b .no-asm
%endif


%build
make mppdec
make replaygain


%install
mkdir -p %{buildroot}%{_bindir}
%{__install} -m 755 mppdec replaygain %{buildroot}%{_bindir}


%files
%doc README
%{_bindir}/mppdec
%{_bindir}/replaygain


%changelog

* Wed Apr 17 2013 david.david (MLO Team) <david.david> r96-2.mga3
+ Rebuild package for Mageia 3 (Core)
- version r96

* Mon Apr 15 2013 david.david (MLO Team) <david.david> r96-1.mga2
+ Revision: 1
- Rebuild package for Mageia 2 (Core)
- imported package from Rosa
- clean "spec" file 

* Wed Dec 26 2012 Giovanni Mariani <mc2374@mclink.it> r96-69.1
- Rebuilt for Rosa 2012.1 by the MIB

* Wed Mar 21 2012 Giovanni Mariani <mc2374@mclink.it> r96-69.1mib2010.2
- Backported to Mdv 2010.2 by the MIB, from a MRB package (thanks SFlo!)
- Made the BuildRoot tag compliant with Wiki specs
- Made sure the Descripton text is < 76 chars lenght

* Sun Mar 18 2012 Falticska Florin <symbianflo@fastwebnet.it> r96-69mrb2011.0
- Imported from fedora
- MRB-Mandriva Users.Ro

* Sun Nov 14 2010 Paulo Roma <roma@lcg.ufrj.br> r96-4
- Using yasm instead of nasm 2.0.9.

* Tue Mar 25 2008 Paulo Roma <roma@lcg.ufrj.br> r96-3
- Compilation LOGFILE no longer goes to /dev/tty.

* Fri Mar 21 2008 Paulo Roma <roma@lcg.ufrj.br> r96-2
- Disabled asm code for x86_64.

* Thu Feb 28 2008 Paulo Roma <roma@lcg.ufrj.br> r96-1
- Initial spec file.

